<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" href="./style.css">
        <title></title>
    </head>
    <body>
        <h2>Опишіть своїми словами, що таке екранування, і навіщо воно потрібне в мовах програмування</h2>
        <p>Екранування - це спосіб який допоможе нам коректно розпізнати, вставити бажаний символ. Потрібно додати перед вашим символом знак \, або якщо ви хочете використати лапки, то напишіть відмінні від тих які ви використовуєте для написання рядка.</p>

        <h2>Які засоби оголошення функцій ви знаєте?</h2>
        <ul>
            <li>Function Declaration</li>
            <li>Function Expression</li>
            <li>Arrow Function Expression</li>
            <li>Function Constructor</li>
        </ul>
        
        <h2>Що таке hoisting, як він працює для змінних та функцій?</h2>
        <p>hoisting — це типова поведінка JavaScript, яка переміщує змінні(var) та функції вгору. Він дозволяє нам використовувати функції і var перед їх оголошенням у коді</p>
        <script src="./script.js"></script>
    </body>
</html>